import { Message } from '../services/communication/message';
import { ICheckedRequest, IUserRequestsManager } from '../types/User';
import { PublicKey } from '@wharfkit/antelope';
import { LoginRequest } from '../util/request';
import { DID, URL as URLtype } from '../util/ssi/types';
import { ResponsesManager } from '../helpers/responsesManager';
import { App } from './App';
import { UserCommunication } from './UserCommunication';
export declare class UserRequestsManager extends UserCommunication implements IUserRequestsManager {
    handleLinkAuthRequestMessage(message: Message): Promise<void>;
    loginWithApp(app: App, key: PublicKey): Promise<void>;
    acceptLoginRequest(responsesManager: ResponsesManager, platform: 'mobile' | 'browser', options: {
        callbackOrigin?: URLtype;
        callbackPath?: URLtype;
        messageRecipient?: DID;
    }): Promise<void | URLtype>;
    checkLoginRequests(requests: LoginRequest[]): Promise<ICheckedRequest[]>;
}
//# sourceMappingURL=UserRequestsManager.d.ts.map